com.pixelmed.test

## Class TestSUVTransformValues

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - com.pixelmed.test.TestSUVTransformValues

All Implemented Interfaces:
  junit.framework.Test

    public class TestSUVTransformValues
    extends junit.framework.TestCase

### Constructor Summary

Constructors
Constructor and Description
`TestSUVTransformValues(java.lang.String name)`

### Method Summary

Methods
`protected void` `setUp()`
`static junit.framework.Test` `suite()`
`protected void` `tearDown()`
`void` `TestSUVTransformValues_BQML()`
`void` `TestSUVTransformValues_BQMLWithTimezoneOffset()`
`void` `TestSUVTransformValues_DeriveScanDateTimeFromHalfLifeAcquisitionDateTimeFrameReferenceTimeAndActualFrameDuration()`
`void` `TestSUVTransformValues_GMLUnitsWithoutSUVType()`
`void` `TestSUVTransformValues_PhilipsSUVScaleFactor()`

### Methods inherited from class junit.framework.TestCase

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TestSUVTransformValues

    public TestSUVTransformValues(java.lang.String name)

### Method Detail

#### suite

    public static junit.framework.Test suite()

#### setUp

    protected void setUp()

Overrides:
  `setUp` in class `junit.framework.TestCase`

#### tearDown

    protected void tearDown()

Overrides:
  `tearDown` in class `junit.framework.TestCase`

#### TestSUVTransformValues_BQML

    public void TestSUVTransformValues_BQML()
                                     throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### TestSUVTransformValues_BQMLWithTimezoneOffset

    public void TestSUVTransformValues_BQMLWithTimezoneOffset()
                                                       throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### TestSUVTransformValues_PhilipsSUVScaleFactor

    public void TestSUVTransformValues_PhilipsSUVScaleFactor()
                                                      throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### TestSUVTransformValues_GMLUnitsWithoutSUVType

    public void TestSUVTransformValues_GMLUnitsWithoutSUVType()
                                                       throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### TestSUVTransformValues_DeriveScanDateTimeFromHalfLifeAcquisitionDateTimeFrameReferenceTimeAndActualFrameDuration

    public void TestSUVTransformValues_DeriveScanDateTimeFromHalfLifeAcquisitionDateTimeFrameReferenceTimeAndActualFrameDuration()
                                                                                                                          throws java.lang.Exception

Throws:
  `java.lang.Exception`